Errors logs after the mobile release on QA

Hello ,

We have developed a mobile app and when we deployed a new release on QA then app given a warning and  asking to update the app . The warning is  : “Your app needs to be update” 

In that case if we have weak network connectivity OR due to other some connectivity issue (mostly when we are on cellular network  we are not able to update our app successfully and below errors logged in the service center. 

1. ""Upgrade failed" module "VersionsManagers"

2. "No Role validation found"

Please suggest any solution to resolve the issues for that.

Hi Arpita,

Is the error generating on QA environment or on the other environment because you've an updated version already on QA. Sorry, but I didn't get it.

Regards,

Swatantra

Swatantra Kumar wrote:

Hi Arpita,

Is the error generating on QA environment or on the other environment because you've an updated version already on QA. Sorry, but I didn't get it.

Regards,

Swatantra

Yes . There is already a version present in the server. And when we release a new version of the mobile application in the server (UAT or PROD or DEV)  and try to update the application in the mobile, it is given us these errors.

So this issue we found randomly when we are in the cellular network.


Hello Team,

Is there any suggestion as we are still getting this error on a newly release app.